% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/measures.FN.R
\name{FN}
\alias{FN}
\title{Computes the False Negative errors.}
\description{
Computes the ratio of number of Type II errors achieved by the
final M.L. model.
}
\seealso{
\code{\link{MeasureFunction}}, \code{\link{ClassificationOutput}},
\code{\link{ConfMatrix}}
}
\keyword{classif}
\keyword{math}
\section{Super class}{
\code{\link[D2MCS:MeasureFunction]{D2MCS::MeasureFunction}} -> \code{FN}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-FN-new}{\code{FN$new()}}
\item \href{#method-FN-compute}{\code{FN$compute()}}
\item \href{#method-FN-clone}{\code{FN$clone()}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FN-new"></a>}}
\if{latex}{\out{\hypertarget{method-FN-new}{}}}
\subsection{Method \code{new()}}{
Method for initializing the object arguments during runtime.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FN$new(performance.output = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{performance.output}}{An optional \code{\link{ConfMatrix}} parameter
to define the type of object used to compute the \strong{FN} measure.}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FN-compute"></a>}}
\if{latex}{\out{\hypertarget{method-FN-compute}{}}}
\subsection{Method \code{compute()}}{
The function computes the \strong{FN} achieved by the M.L.
model.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FN$compute(performance.output = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{performance.output}}{An optional \code{\link{ConfMatrix}} parameter
to define the type of object used as basis to compute the \strong{FN}
measure}
}
\if{html}{\out{</div>}}
}
\subsection{Details}{
This function is automatically invoked by the
\code{\link{ClassificationOutput}} framework.
}

\subsection{Returns}{
A \link{numeric} vector of size 1 or \link{NULL} if an error
occurred.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-FN-clone"></a>}}
\if{latex}{\out{\hypertarget{method-FN-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{FN$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
