% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/models.summaryFunction.UseProbability.R
\name{UseProbability}
\alias{UseProbability}
\title{Compute performance across resamples.}
\description{
Computes the performance across resamples when class
probabilities can be computed.
}
\seealso{
\code{\link{SummaryFunction}}
}
\keyword{misc}
\section{Super class}{
\code{\link[D2MCS:SummaryFunction]{D2MCS::SummaryFunction}} -> \code{UseProbability}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-UseProbability-new}{\code{UseProbability$new()}}
\item \href{#method-UseProbability-execute}{\code{UseProbability$execute()}}
\item \href{#method-UseProbability-clone}{\code{UseProbability$clone()}}
}
}
\if{html}{\out{
<details open><summary>Inherited methods</summary>
<ul>
<li><span class="pkg-link" data-pkg="D2MCS" data-topic="SummaryFunction" data-id="getMeasures"><a href='../../D2MCS/html/SummaryFunction.html#method-SummaryFunction-getMeasures'><code>D2MCS::SummaryFunction$getMeasures()</code></a></span></li>
</ul>
</details>
}}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-UseProbability-new"></a>}}
\if{latex}{\out{\hypertarget{method-UseProbability-new}{}}}
\subsection{Method \code{new()}}{
The function defined during runtime the usage of seven
measures: 'ROC', 'Sens', 'Kappa', 'Accuracy', 'TCR_9', 'MCC' and 'PPV'.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{UseProbability$new()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-UseProbability-execute"></a>}}
\if{latex}{\out{\hypertarget{method-UseProbability-execute}{}}}
\subsection{Method \code{execute()}}{
The function computes the performance across resamples using
the previously defined measures.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{UseProbability$execute(data, lev = NULL, model = NULL)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{data}}{A \link{data.frame} containing the data used to compute the
performance.}

\item{\code{lev}}{An optional value used to define the levels of the target
class.}

\item{\code{model}}{An optional value used to define the M.L. model used.}
}
\if{html}{\out{</div>}}
}
\subsection{Returns}{
A vector of performance estimates.
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-UseProbability-clone"></a>}}
\if{latex}{\out{\hypertarget{method-UseProbability-clone}{}}}
\subsection{Method \code{clone()}}{
The objects of this class are cloneable with this method.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{UseProbability$clone(deep = FALSE)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{deep}}{Whether to make a deep clone.}
}
\if{html}{\out{</div>}}
}
}
}
